Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class OneBlockOperation

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--uk.co.westhawk.examplev1.OneBlockOperation

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.awt.event.MouseListener, java.io.Serializable

public class OneBlockOperation
extends javax.swing.JComponent
implements java.awt.event.ActionListener, java.awt.event.MouseListener

The class OneBlockOperation demonstrates the use of the BlockPdu class and the SnmpContextPool class.

The user can set the required OID and perform a Get or GetNext request. The user can also set a MIB variable to a new String value by performing a Set request.

The host, port, oid and community name can be configured in the properties file. The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `OneBlockOperation.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.2 $ $Date: 2002/10/22 16:36:26 $
Author:
  Birgit Arkesteijn
See Also:
  `BlockPdu`, `SnmpContextPool`, `propertyDialog`, Serialized Form

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static java.lang.String` | `sysContact`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OneBlockOperation(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`static void` | `addToGridBag(java.awt.GridBagLayout grid, java.awt.Container cont, java.awt.Component comp, int x, int y, double wx, double wy)`
`static void` | `addToGridBag(java.awt.GridBagLayout grid, java.awt.Container cont, java.awt.Component comp, int x, int y, double wx, double wy, int fill)`
`static void` | `addToGridBag(java.awt.GridBagLayout grid, java.awt.Container cont, java.awt.Component comp, int x, int y, double wx, double wy, int fill, int anchor)`
`static void` | `addToGridBag(java.awt.GridBagLayout grid, java.awt.Container cont, java.awt.Component comp, int x, int y, int gx, int gy, double wx, double wy)`
`static void` | `addToGridBag(java.awt.GridBagLayout grid, java.awt.Container cont, java.awt.Component comp, int x, int y, int gw, int gh, double wx, double wy, int fill, int anchor)`
`static javax.swing.JFrame` | `getFrame(java.awt.Component c)`
`void` | `init()`
`static void` | `main(java.lang.String[] args)`
`void` | `mouseClicked(java.awt.event.MouseEvent evt)`
`void` | `mouseEntered(java.awt.event.MouseEvent evt)`
`void` | `mouseEvt(java.awt.event.MouseEvent evt)`
`void` | `mouseExited(java.awt.event.MouseEvent evt)`
`void` | `mousePressed(java.awt.event.MouseEvent evt)`
`void` | `mouseReleased(java.awt.event.MouseEvent evt)`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sysContact

    public static final java.lang.String sysContact

Constructor Detail

### OneBlockOperation

    public OneBlockOperation(java.lang.String propertiesFilename)

  Constructor.
  Parameters:
    `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEvt

    public void mouseEvt(java.awt.event.MouseEvent evt)

### getFrame

    public static javax.swing.JFrame getFrame(java.awt.Component c)

### main

    public static void main(java.lang.String[] args)

### addToGridBag

    public static void addToGridBag(java.awt.GridBagLayout grid,
                                    java.awt.Container cont,
                                    java.awt.Component comp,
                                    int x,
                                    int y,
                                    int gw,
                                    int gh,
                                    double wx,
                                    double wy,
                                    int fill,
                                    int anchor)

### addToGridBag

    public static void addToGridBag(java.awt.GridBagLayout grid,
                                    java.awt.Container cont,
                                    java.awt.Component comp,
                                    int x,
                                    int y,
                                    int gx,
                                    int gy,
                                    double wx,
                                    double wy)

### addToGridBag

    public static void addToGridBag(java.awt.GridBagLayout grid,
                                    java.awt.Container cont,
                                    java.awt.Component comp,
                                    int x,
                                    int y,
                                    double wx,
                                    double wy)

### addToGridBag

    public static void addToGridBag(java.awt.GridBagLayout grid,
                                    java.awt.Container cont,
                                    java.awt.Component comp,
                                    int x,
                                    int y,
                                    double wx,
                                    double wy,
                                    int fill)

### addToGridBag

    public static void addToGridBag(java.awt.GridBagLayout grid,
                                    java.awt.Container cont,
                                    java.awt.Component comp,
                                    int x,
                                    int y,
                                    double wx,
                                    double wy,
                                    int fill,
                                    int anchor)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD